<template>
	<div class="p-3">
		<form @submit.prevent="Save">
			<section class="call">
				<div class="call_aside left">
					<div class="base_block mb-3">
						<div class="p-3">
							<div class="form-group">
								<div class="call_asd_lbl">
									<div class="txt">{{ $store.state.locale.city }}</div>
								</div>

								<div class="base_select_alt">
									<select class="form-control select_tree" disabled v-model="callModel.cityId">
										<option value="0">---</option>
										<option v-for="item in cityList" :value="item.id">{{ item.name }}</option>
									</select>

									<i class="mdi mdi-menu-down"></i>
								</div>
							</div>


							<div class="form-group">
								<div class="call_asd_lbl">
									<div class="txt">{{ $store.state.locale.district }}</div>
								</div>

								<div class="base_select_alt">
									<select class="form-control select_tree" disabled v-model="callModel.regionId">
										<option value="0">---</option>
										<option v-for="item in districtList" :value="item.id">{{ item.name }}</option>
									</select>

									<i class="mdi mdi-menu-down"></i>
								</div>
							</div>


							<div class="form-group">
								<div class="call_asd_lbl">
									<div class="txt">{{ $store.state.locale.street }}</div>
								</div>

								<div class="base_select_alt">
									<select class="form-control select_tree" disabled v-model="callModel.streetId">
										<option value="0">---</option>
										<option v-for="item in streetList" :value="item.id">{{ item.name }}</option>
									</select>

									<i class="mdi mdi-menu-down"></i>
								</div>
							</div>


							<div class="form-group">
								<div class="call_asd_lbl">
									<div class="txt">{{ $store.state.locale.house }}</div>
								</div>

								<div class="base_select_alt">
									<select class="form-control select_tree" disabled v-model="callModel.houseId">
										<option value="0">---</option>
										<option v-for="item in houseList" :value="item.id">{{ item.name }}</option>
									</select>

									<i class="mdi mdi-menu-down"></i>
								</div>
							</div>


							<div>
								<div class="call_asd_lbl">
									<div class="txt">{{ $store.state.locale.flat }}</div>
								</div>

								<div class="base_select_alt">
									<select class="form-control select_tree" disabled v-model="callModel.flatId">
										<option value="0">---</option>
										<option v-for="item in flatList" :value="item.id">{{ item.name }}</option>
									</select>

									<i class="mdi mdi-menu-down"></i>
								</div>
							</div>
						</div>
					</div>


					<div class="base_block mb-3">
						<div class="p-3">
							<div class="call_title">{{ $store.state.locale.applicant }}</div>


							<div class="form-group">
								<div class="call_asd_lbl">
									<div class="txt">{{ $store.state.locale.fullName }}</div>
								</div>

								<input class="form-control base_input" disabled :value="callModel.applicantName">
							</div>


							<div class="form-group">
								<div class="call_asd_lbl">
									<div class="txt">{{ $store.state.locale.address }}</div>
								</div>

								<input class="form-control base_input" disabled :value="callModel.applicantAddress">
							</div>


							<div>
								<div class="call_asd_lbl">
									<div class="txt">{{ $store.state.locale.telephone }}</div>
								</div>

								<input class="form-control base_input" disabled :value="callModel.applicantNumber">
							</div>
						</div>
					</div>
				</div>


				<div class="call_main px-3">
					<div class="base_block mb-3" data-tab>
						<div class="call_main_ttl">
							<button type="button" class="btn active" data-tab-btn>{{ $store.state.locale.info }}</button>
							<button type="button" class="btn" data-tab-btn>{{ $store.state.locale.callList }}</button>
						</div>


						<div class="call_main_cnt p-3">
							<div class="call_discuss_pane active" data-tab-pane>
								<div class="mb-4">
									<div class="cplt_note_txt_it" v-for="item in noteList" v-html="item"></div>
								</div>

								<div class="call_note">
									<div class="call_note_ttl">{{ $store.state.locale.note }}</div>

									<div class="call_note_editor">
										<ckeditor :editor="editor" v-model="callModel.notes" :config="editorConfig"></ckeditor>
									</div>
								</div>


								<!--<hr class="call_asd_group_hr">-->


								<!--<div>-->
								<!--<div class="call_asd_lbl">-->
								<!--<div class="txt">Теги</div>-->
								<!--</div>-->

								<!--<vue-tags v-model="callModel.tags">-->
								<!--<div class="base_tags" slot-scope="{tag, removeTag, inputEventHandlers, inputBindings}">-->
								<!--<div class="base_tag" v-for="tag in callModel.tags">-->
								<!--<div class="base_tag_inner">-->
								<!--<div class="txt"> {{ tag }} </div>-->
								<!--<button type="button" class="remove" v-on:click="removeTag(tag)">-->
								<!--<i class="mdi mdi-window-close"></i>-->
								<!--</button>-->
								<!--</div>-->
								<!--</div>-->

								<!--<input class="base_tag_input"  placeholder="Add tag..." v-on="inputEventHandlers" v-bind="inputBindings">-->
								<!--</div>-->
								<!--</vue-tags>-->
								<!--</div>-->


								<hr class="call_asd_group_hr">


								<div class="row">
									<div class="col-6">
										<div class="call_asd_lbl">
											<div class="txt">{{ $store.state.locale.category }}</div>
										</div>

										<multiselect
												:tabindex="10"
												class="base_multiselect"
												placeholder="Select or search"
												v-model="callModel.categoryIds"
												:options="categoryList"
												:multiple="true"
												:close-on-select="false"
												:searchable="true"
												:clear-on-select="false"
												:show-labels="false"
												label="name"
												track-by="id"
										>
										</multiselect>
									</div>

									<div class="col-6">
										<div class="call_asd_lbl">
											<div class="txt">{{ $store.state.locale.priority }}</div>
										</div>

										<multiselect
												:tabindex="11"
												class="base_multiselect"
												placeholder="Select or search"
												v-model="callModel.priorityId"
												:options="priorityList"
												:close-on-select="true"
												:searchable="true"
												:clear-on-select="false"
												:show-labels="false"
												:show-pointer="true"
												label="name"
												track-by="id"
										>
										</multiselect>
									</div>
								</div>


								<hr class="call_asd_group_hr">


								<div class="d-flex justify-content-end">
									<button type="submit" class="btn call_save_btn" tabindex="12">{{ $store.state.locale.save }}</button>
								</div>
							</div>


							<div class="call_discuss_pane" data-tab-pane>
								<div class="row">
									<div class="col-12">
										<div class="call_message">
											<div class="call_message_hd call_title">{{ $store.state.locale.abonentHistory }}</div>

											<div class="call_message_bd" v-if="clientHistoryList.length > 0">
												<div class="call_message_it" v-for="item in clientHistoryList">
													<div class="call_discuss_rec">
														<div class="call_discuss_rec_name">{{ $store.state.locale.savedAudio }}</div>

														<div class="call_discuss_rec_play_bx">
															<div class="call_discuss_rec_play">
																<audio controls :src="item.url" preload="none" @play="AudioPlay">
																	Your browser does not support the <code>audio</code> element.
																</audio>
															</div>

															<!--<button type="button" class="call_discuss_rec_play_del">-->
															<!--<i class="mdi mdi-delete-forever"></i>-->
															<!--</button>-->
														</div>
													</div>

													<div class="call_discuss_dtls">
														<div class="call_discuss_dtls_name">{{ $store.state.locale.callDetail }}</div>

														<ul class="call_discuss_dtls_ls">
															<li>
																<div class="txt">{{ $store.state.locale.callFrom }}</div>
																<div class="val">{{ item.callerIdNumber }}</div>
															</li>

															<li>
																<div class="txt">{{ $store.state.locale.callTo }}</div>
																<div class="val">{{ item.destinationNumber }}</div>
															</li>

															<li>
																<div class="txt">{{ $store.state.locale.callTime }}</div>
																<div class="val">{{ item.startStamp }}</div>
															</li>

															<li>
																<div class="txt">{{ $store.state.locale.answered }}</div>
																<div class="val">{{ item.userName }}</div>
															</li>

															<li>
																<div class="txt">{{ $store.state.locale.callDuration }}</div>
																<div class="val">{{ item.billsec }} c</div>
															</li>
														</ul>
													</div>
												</div>
											</div>

											<div class="call_message_ft d-flex justify-content-end py-4" v-if="clientHistoryList.length > 0">
												<paginate
														:page-count="clientHistoryListPageCount"
														:page-range="3"
														:margin-pages="1"
														:click-handler="GetHistoryClient"
														container-class="pagination base_pagination"
														page-class="page-item"
														prev-class="page-item ctrl"
														next-class="page-item ctrl"
														page-link-class="page-link"
														prev-link-class="page-link"
														next-link-class="page-link"
														prev-text="<i class='mdi mdi-chevron-left'></i>"
														next-text="<i class='mdi mdi-chevron-right'></i>"
												>
												</paginate>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>


					<div class="base_block mb-3">
						<div class="call_profile p-3">
							<div class="call_profile_ttl call_title">{{ $store.state.locale.infoMapObject }}</div>

							<div class="call_profile_cnt">
								<div class="call_profile_it" v-if="objectInfo.elevatorCount || objectInfo.elevatorCount === 0">
									<div class="call_asd_lbl">
										<div class="txt">{{ $store.state.locale.liftNumber }}</div>
									</div>

									<div class="call_profile_val">{{ objectInfo.elevatorCount }}</div>
								</div>

								<div class="call_profile_it" v-if="objectInfo.flatsCount || objectInfo.flatsCount === 0">
									<div class="call_asd_lbl">
										<div class="txt">{{ $store.state.locale.flatNumber }}</div>
									</div>

									<div class="call_profile_val">{{ objectInfo.flatsCount }}</div>
								</div>

								<div class="call_profile_it" v-if="objectInfo.floorsCount || objectInfo.floorsCount === 0">
									<div class="call_asd_lbl">
										<div class="txt">{{ $store.state.locale.floorNumber }}</div>
									</div>

									<div class="call_profile_val">{{ objectInfo.floorsCount }}</div>
								</div>

								<div class="call_profile_it" v-if="objectInfo.porchCount || objectInfo.porchCount === 0">
									<div class="call_asd_lbl">
										<div class="txt">{{ $store.state.locale.porchNumber }}</div>
									</div>

									<div class="call_profile_val">{{ objectInfo.porchCount }}</div>
								</div>

								<div class="call_profile_it" v-if="objectInfo.roomsCount || objectInfo.roomsCount === 0">
									<div class="call_asd_lbl">
										<div class="txt">{{ $store.state.locale.roomNumber }}</div>
									</div>

									<div class="call_profile_val">{{ objectInfo.roomsCount }}</div>
								</div>

								<div class="call_profile_it" v-if="objectInfo.tchsjName || objectInfo.tchsjName === ''">
									<div class="call_asd_lbl">
										<div class="txt">{{ $store.state.locale.tsjName }}</div>
									</div>

									<div class="call_profile_val">{{ objectInfo.tchsjName }}</div>
								</div>

								<div class="call_profile_it" v-if="objectInfo.wallType || objectInfo.wallType === ''">
									<div class="call_asd_lbl">
										<div class="txt">{{ $store.state.locale.objectType }}</div>
									</div>

									<div class="call_profile_val">{{ objectInfo.wallType }}</div>
								</div>

								<div class="call_profile_it" v-if="objectInfo.cadastreNumber || objectInfo.cadastreNumber === ''">
									<div class="call_asd_lbl">
										<div class="txt">{{ $store.state.locale.cadastreNumber }}</div>
									</div>

									<div class="call_profile_val">{{ objectInfo.cadastreNumber }}</div>
								</div>

								<div class="call_profile_it" v-if="objectInfo.area || objectInfo.area === 0">
									<div class="call_asd_lbl">
										<div class="txt">{{ $store.state.locale.area }}</div>
									</div>

									<div class="call_profile_val">{{ objectInfo.area }}</div>
								</div>
							</div>
						</div>
					</div>
				</div>


				<div class="call_aside right">
					<div class="commune_info">
						<div class="base_block mb-3">
							<div class="commune_info_ttl">
								<button type="button" data-toggle="collapse" data-target="#collapseOne" :class="{collapsed: !(communalsList.suvsoz.success)}">
									<span class="txt">Suvsoz</span>
									<i class="mdi mdi-chevron-up"></i>
								</button>
							</div>

							<div id="collapseOne" class="collapse" :class="{show: communalsList.suvsoz.success}">
								<div class="commune_info_cnt">

									<ul class="commune_info_data_ls" v-if="communalsList.suvsoz.success">
										<li v-for="item in communalsList.suvsoz.elements">
											<div class="txt">{{ item.displayName }}</div>
											<div class="val">{{ item.value }}</div>
										</li>
									</ul>

								</div>
							</div>
						</div>


						<div class="base_block mb-3">
							<div class="commune_info_ttl">
								<button type="button" data-toggle="collapse" data-target="#collapseTwo" :class="{collapsed: !(communalsList.teploEnergo.success)}">
									<span class="txt">TeploEnergo</span>
									<i class="mdi mdi-chevron-up"></i>
								</button>
							</div>

							<div id="collapseTwo" class="collapse" :class="{show: communalsList.teploEnergo.success}">
								<div class="commune_info_cnt">

									<ul class="commune_info_data_ls" v-if="communalsList.teploEnergo.success">
										<li v-for="item in communalsList.teploEnergo.elements">
											<div class="txt">{{ item.displayName }}</div>
											<div class="val">{{ item.value }}</div>
										</li>
									</ul>

								</div>
							</div>
						</div>


						<div class="base_block mb-3">
							<div class="commune_info_ttl">
								<button type="button" data-toggle="collapse" data-target="#collapseThree" :class="{collapsed: !(communalsList.uzTransGaz.success)}">
									<span class="txt">UzTransGaz</span>
									<i class="mdi mdi-chevron-up"></i>
								</button>
							</div>

							<div id="collapseThree" class="collapse" :class="{show: communalsList.uzTransGaz.success}">
								<div class="commune_info_cnt">

									<ul class="commune_info_data_ls" v-if="communalsList.uzTransGaz.success">
										<li v-for="item in communalsList.uzTransGaz.elements">
											<div class="txt">{{ item.displayName }}</div>
											<div class="val">{{ item.value }}</div>
										</li>
									</ul>

								</div>
							</div>
						</div>


						<div class="base_block mb-3">
							<div class="commune_info_ttl">
								<button type="button" data-toggle="collapse" data-target="#collapseFour" :class="{collapsed: !(communalsList.maxsusTrans.success)}">
									<span class="txt">MaxsusTrans</span>
									<i class="mdi mdi-chevron-up"></i>
								</button>
							</div>

							<div id="collapseFour" class="collapse" :class="{show: communalsList.maxsusTrans.success}">
								<div class="commune_info_cnt">

									<ul class="commune_info_data_ls" v-if="communalsList.maxsusTrans.success">
										<li v-for="item in communalsList.maxsusTrans.elements">
											<div class="txt">{{ item.displayName }}</div>
											<div class="val">{{ item.value }}</div>
										</li>
									</ul>

								</div>
							</div>
						</div>


						<div class="base_block">
							<div class="commune_info_ttl">
								<button type="button" data-toggle="collapse" data-target="#collapseFive" :class="{collapsed: !(communalsList.uzbekEnergo.success)}">
									<span class="txt">UzbekEnergo</span>
									<i class="mdi mdi-chevron-up"></i>
								</button>
							</div>

							<div id="collapseFive" class="collapse" :class="{show: communalsList.uzbekEnergo.success}">
								<div class="commune_info_cnt">

									<ul class="commune_info_data_ls" v-if="communalsList.uzbekEnergo.success">
										<li v-for="item in communalsList.uzbekEnergo.elements">
											<div class="txt">{{ item.displayName }}</div>
											<div class="val">{{ item.value }}</div>
										</li>
									</ul>

								</div>
							</div>
						</div>
					</div>
				</div>
			</section>
		</form>
	</div>
</template>

<style>

</style>

<script src="./script.js"></script>